Skip to content
CustomersCustomer

List customer addresses

Returns the signed-in customer's saved addresses.

GET/v1/customer/addresses
Requires an access token.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

x-Store-Domain*string

Slug of the store or one of its configured domains, such as my-store.

Length1 <= length <= 253
X-Customer-Session?string

Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://storefront.ecomiq.pe/v1/customer/addresses" \  -H "Authorization: Bearer <token>" \  -H "x-Store-Domain: my-store" \  -H "X-Customer-Session: <session-id>"
[  {    "id": "7204558912004326262",    "addressKey": "Andrea Ramos",    "department": "Lima",    "addressNumber": "Dpto. 501",    "province": "Lima",    "district": "Miraflores",    "phone": "+51987654321",    "cellPhone": "+51987654321",    "addressLine": "Andrea Ramos",    "reference": "Frente al parque Kennedy.",    "countryIsoCode": "PE",    "postalCode": "15074",    "latitude": 1,    "longitude": 1,    "hasCoordinates": false,    "isDefault": true  }]